---
updatedAt: 2026-09-08T20:26:09.000Z
agentTools:
  projectIndex: https://docs.observeinc.com/llms.txt
---

# Poll the status of a pending login request

This endpoint polls the status of a pending login request. The serverToken is
returned from the initial request, and is used to identify the request.


# OpenAPI definition

````json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Observe by Snowflake API",
    "description": "# Overview\nWelcome to the Observe API Docs!\n\nThe Observe API is a RESTful API. POST bodies and responses are typically JSON-encoded.\n\n## Authentication\nRequests to the Observe API are authenticated with an API token. The token can be supplied using HTTP Bearer authentication:\n```\n// passing token as bearer token\ncurl -H \"Authorization: Bearer <customerid> <token>\" https://<customerid>.<observe-domain>.com/v1/...\n```\n",
    "version": "1.0.230307"
  },
  "servers": [
    {
      "url": "https://{customerid}.observeinc.com",
      "description": "US west server",
      "variables": {
        "customerid": {
          "default": "OBSERVE_CUSTOMERID",
          "description": "The customer ID for your instance."
        }
      }
    },
    {
      "url": "https://{customerid}.{cluster}.observeinc.com",
      "description": "Specific regional cluster (prod)",
      "variables": {
        "customerid": {
          "default": "OBSERVE_CUSTOMERID",
          "description": "The customer ID for your instance."
        },
        "cluster": {
          "enum": [
            "eu-1",
            "ap-1"
          ],
          "default": "eu-1",
          "description": "For regional clusters, choose one."
        }
      }
    },
    {
      "url": "https://{customerid}.{domain}.com",
      "description": "Specific Observe server",
      "variables": {
        "customerid": {
          "default": "OBSERVE_CUSTOMERID",
          "description": "The customer ID for your instance."
        },
        "domain": {
          "default": "OBSERVE_DOMAIN",
          "description": "The Observe domain for your instance."
        }
      }
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Login",
      "description": "Manage api tokens. Learn more about [api tokens](https://docs.observeinc.com/en/latest/content/reference/ObserveAPIAuth.html).\n"
    }
  ],
  "paths": {
    "/v1/login/delegated/{serverToken}": {
      "get": {
        "summary": "Poll the status of a pending login request",
        "operationId": "pollDelegatedLogin",
        "tags": [
          "Login"
        ],
        "description": "This endpoint polls the status of a pending login request. The serverToken is\nreturned from the initial request, and is used to identify the request.\n",
        "parameters": [
          {
            "name": "serverToken",
            "in": "path",
            "description": "The serverToken returned from the initial request.",
            "required": true,
            "schema": {
              "type": "string",
              "format": "password"
            }
          }
        ],
        "security": [],
        "responses": {
          "200": {
            "description": "The request is still pending, or has been accepted, denied, or timed out.\n",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "settled"
                  ],
                  "properties": {
                    "ok": {
                      "description": "Whether this HTTP request was valid (does not indicate completion status).",
                      "type": "boolean"
                    },
                    "settled": {
                      "description": "If the request has been accepted, denied, or timed out (is settled) then this is true,\nelse if we need to poll again, it is false. If the request is not yet settled, the server\nside will wait a bit before returning this response, which allows the client to easily\nimplement long polling.\n",
                      "type": "boolean"
                    },
                    "accessKey": {
                      "description": "The access key if the request has been accepted. If the request is settled but not\naccepted, it will be empty. Note that only the first request after the login is settled\nwill contain the access key, because it is generated once and not stored server side\n(only a hash is stored, for later API request authentication.) This key imbues the same\npowers in the Observe API as are available to the issuing user.\n",
                      "type": "string",
                      "format": "password"
                    },
                    "message": {
                      "description": "A message from the server. In case of error, this may be helpful to display to the user.\n",
                      "type": "string"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request."
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Authorization: Bearer <customerid> <apitoken>\n"
      }
    }
  }
}
````